Assembly Instruction Step

The assembly instruction step resource.

Basehttps://rest.carbon.ms/assemblyInstructionStep
GET/assemblyInstructionStep

List assembly instruction steps

Retrieve a paginated list of assembly instruction steps. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/assemblyInstructionStep
curl --request GET \
  --url 'https://rest.carbon.ms/assemblyInstructionStep?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "assemblyInstructionId": "xyz789",
    "sortOrder": 0,
    "type": "string",
    "componentNodeIds": [],
    "motion": "string",
    "planConfidence": "string",
    "companyId": "xyz789"
  }
]
GET/assemblyInstructionStep

Retrieve a assembly instruction step

Fetch a single assembly instruction step by filtering on `id`.

Query parameters

idstring

Match on the assembly instruction step's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/assemblyInstructionStep
curl --request GET \
  --url 'https://rest.carbon.ms/assemblyInstructionStep?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "assemblyInstructionId": "xyz789",
  "sortOrder": 0,
  "type": "string",
  "componentNodeIds": [],
  "motion": "string",
  "planConfidence": "string",
  "companyId": "xyz789"
}
POST/assemblyInstructionStep

Create a assembly instruction step

Create a new assembly instruction step.

Body parameters

assemblyInstructionIdstringrequired

References assemblyInstruction.id

parentStepIdstring

References assemblyInstructionStep.id

sortOrdernumberrequired
titlestring
typeprocedureStepTyperequired
descriptionobject
instructionTextstring
requiredboolean
unitOfMeasureCodestring
minValuenumber
maxValuenumber
listValuesarray
fileTypesarray
notesobject
componentNodeIdsarrayrequired
motionobjectrequired
cameraobject
explodeobject
fastenerobject
warningsobject
planConfidencestringrequired
durationSecondsnumber
companyIdstringrequired

References company.id

statusassemblyStepStatusrequired
buildWavenumber
POSThttps://rest.carbon.ms/assemblyInstructionStep
curl --request POST \
  --url https://rest.carbon.ms/assemblyInstructionStep \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"assemblyInstructionId":"xyz789","sortOrder":0,"type":"string","description":"string","componentNodeIds":[],"motion":"string","planConfidence":"string","companyId":"xyz789","status":"string"}'
Response
{
  "id": "abc123def456",
  "assemblyInstructionId": "xyz789",
  "sortOrder": 0,
  "type": "string",
  "componentNodeIds": [],
  "motion": "string",
  "planConfidence": "string",
  "companyId": "xyz789"
}
PATCH/assemblyInstructionStep

Update a assembly instruction step

Update an existing assembly instruction step, matched on `id`.

Body parameters

assemblyInstructionIdstringrequired

References assemblyInstruction.id

parentStepIdstring

References assemblyInstructionStep.id

sortOrdernumberrequired
titlestring
typeprocedureStepTyperequired
descriptionobject
instructionTextstring
requiredboolean
unitOfMeasureCodestring
minValuenumber
maxValuenumber
listValuesarray
fileTypesarray
notesobject
componentNodeIdsarrayrequired
motionobjectrequired
cameraobject
explodeobject
fastenerobject
warningsobject
planConfidencestringrequired
durationSecondsnumber
companyIdstringrequired

References company.id

statusassemblyStepStatusrequired
buildWavenumber
PATCHhttps://rest.carbon.ms/assemblyInstructionStep
curl --request PATCH \
  --url 'https://rest.carbon.ms/assemblyInstructionStep?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"assemblyInstructionId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "assemblyInstructionId": "xyz789",
  "sortOrder": 0,
  "type": "string",
  "componentNodeIds": [],
  "motion": "string",
  "planConfidence": "string",
  "companyId": "xyz789"
}
DELETE/assemblyInstructionStep

Delete a assembly instruction step

Delete a assembly instruction step, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the assembly instruction step to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/assemblyInstructionStep
curl --request DELETE \
  --url 'https://rest.carbon.ms/assemblyInstructionStep?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content